org.apache.cassandra.gms

## Class TokenSerializer

- java.lang.Object
- - org.apache.cassandra.gms.TokenSerializer

    public class TokenSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TokenSerializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Collection<Token>` `deserialize(IPartitioner partitioner, java.io.DataInput in)`
`static void` `serialize(IPartitioner partitioner, java.util.Collection<Token> tokens, java.io.DataOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenSerializer

    public TokenSerializer()

### Method Detail

#### serialize

    public static void serialize(IPartitioner partitioner,
                                 java.util.Collection<Token> tokens,
                                 java.io.DataOutput out)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public static java.util.Collection<Token> deserialize(IPartitioner partitioner,
                                                          java.io.DataInput in)
                                                   throws java.io.IOException

Throws:
  `java.io.IOException`